NETDEV_MASTER_UPPER_(9)

NAME
netdev_master_upper_dev_link - Add a master link to the upper device

SYNOPSIS

int netdev_master_upper_dev_link(struct net_device * dev, struct net_device * upper_dev);

ARGUMENTS

dev
    device

upper_dev
    new upper device

DESCRIPTION

Adds a link to device which is upper to this one. In this case, only one master upper device can be linked, although other non-master devices might be linked as well. The caller must hold the RTNL lock. On a failure a negative errno code is returned. On success the reference counts are adjusted and the function returns zero.

COPYRIGHT